<template>
  <section
    data-cid="{ BhBizcardListUi }"
    class="[ p-2 border-2 border-gray-300 rounded overflow-y-auto ][ a-scrollbar-cs ]"
  >
    <a-center-l intrinsic>
      <a-stack-l class="reset space-y-2">
        <template v-for="bizcard in bizcards">
          <nuxt-link
            :key="bizcard.id"
            :to="{
              name: 'index-slug',
              params: { slug: bizcard.slug },
              query: filters,
            }"
          >
            <bh-bizcard :bizcard="bizcard" />
          </nuxt-link>
        </template>

        <bh-bizcard-skeleton-ui
          v-show="bizcards.length === 0"
          :status="status"
        />
      </a-stack-l>
    </a-center-l>
  </section>
</template>

<script>
export default {
  name: 'BhBizcardListUi',
  props: {
    bizcards: {
      type: Array,
      default: () => [],
    },
    filters: {
      type: Object,
      default: () => ({}),
    },
    status: {
      type: String,
      default: 'idle',
      validator: (value) => ['idle', 'pending', 'error'].includes(value),
    },
  },
};
</script>
